﻿<Window x:Class="CG_Lab3.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:CG_Lab3"
        xmlns:ViewModels="clr-namespace:CG_Lab3.ViewModels"
        xmlns:pages="clr-namespace:CG_Lab3.Pages" 
        xmlns:Converters="clr-namespace:CG_Lab3.Converters"
        d:DataContext="{d:DesignInstance ViewModels:DataViewModel, IsDesignTimeCreatable=True}"
        xmlns:models="CG_Lab2_UI.Models"
        mc:Ignorable="d"
        Title="MainWindow" Height="608" Width="1200"
        Background="#101820">
    <Window.Resources>
        <Converters:VisibilityControlConverter x:Key="VisibilityControlConverter"/>
    </Window.Resources>
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto"/>
            <RowDefinition Height="Auto"/>
        </Grid.RowDefinitions>

        <StackPanel Grid.Row="0" Orientation="Horizontal" Background="#090E12"  HorizontalAlignment="Stretch">
            <RadioButton Style="{StaticResource TabButton}" 
                         Width="100"
                         Command="{Binding Path=SetVisibilityCommand}" CommandParameter="Tutorial" IsChecked="True">Tutorial
            </RadioButton>
            <RadioButton Style="{StaticResource TabButton}" 
                         Width="100"
                         Command="{Binding Path=SetVisibilityCommand}" CommandParameter="Fractals">Fractals
            </RadioButton>
            <RadioButton Style="{StaticResource TabButton}" 
                         Width="100"
                         Command="{Binding Path=SetVisibilityCommand}" CommandParameter="ColorModel">Color model
            </RadioButton>
            <RadioButton Style="{StaticResource TabButton}" 
                         Width="100"
                         Command="{Binding Path=SetVisibilityCommand}" CommandParameter="Movement">Movement
            </RadioButton>
        </StackPanel>

        <Grid Grid.Row="1">
            <pages:Tutorial  
                Visibility="{Binding 
                Path=VisibilityControl, 
                Converter={StaticResource VisibilityControlConverter}, ConverterParameter=Tutorial}"/>
            
            <pages:Fractals  
                Visibility="{Binding 
                Path=VisibilityControl, 
                Converter={StaticResource VisibilityControlConverter}, ConverterParameter=Fractals}"/>
            
            <pages:ColorModels
                Visibility="{Binding 
                Path=VisibilityControl, 
                Converter={StaticResource VisibilityControlConverter}, ConverterParameter=ColorModel}"/>

            <pages:Movement
                Visibility="{Binding 
                Path=VisibilityControl, 
                Converter={StaticResource VisibilityControlConverter}, ConverterParameter=Movement}"/>
        </Grid>
    </Grid>

</Window>
